Skip to main content
GET
Resolve an authorized Drive document link without downloading content

Authorizations

x-api-key
string
header
required

Organization API key passed as the x-api-key header. The raw key is the header value; do not prefix it with Bearer.

Path Parameters

fileId
string
required
Required string length: 1 - 512
Pattern: ^[A-Za-z0-9_-]+$

Response

Document result.

id
string
required
Required string length: 1 - 512
Pattern: ^[A-Za-z0-9_-]+$
name
string
required
mimeType
string
required
modifiedTime
string | null
required
size
number | null
required
openUrl
string | null
required